MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions
IterableSplitString Class Reference

Split a string at a certain separator character into sub strings and allow iterating over the segments. More...

`#include <IterableSplitString.hxx>`

## Data Structures
class | Iterator

## Public Types
typedef Iterator | iterator
typedef Iterator | const_iterator

## Public Member Functions
constexpr | IterableSplitString (StringView _s, char _separator)
const_iterator | begin () const
constexpr const_iterator | end () const

## Detailed Description

Split a string at a certain separator character into sub strings and allow iterating over the segments.

Two consecutive separator characters result in an empty string.

An empty input string returns one empty string.

Definition at line 45 of file IterableSplitString.hxx.

## Member Typedef Documentation

typedef Iterator IterableSplitString::const_iterator

Definition at line 112 of file IterableSplitString.hxx.

typedef Iterator IterableSplitString::iterator

Definition at line 111 of file IterableSplitString.hxx.

## Constructor & Destructor Documentation

constexpr IterableSplitString::IterableSplitString | ( | StringView | _s,
|  | char | _separator
| ) |  |
| inline

Definition at line 51 of file IterableSplitString.hxx.

## Member Function Documentation

const_iterator IterableSplitString::begin | ( |  | ) | const
| inline

Definition at line 114 of file IterableSplitString.hxx.

constexpr const_iterator IterableSplitString::end | ( |  | ) | const
| inline

Definition at line 118 of file IterableSplitString.hxx.

The documentation for this class was generated from the following file:

- util/IterableSplitString.hxx